Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class FixedLayoutRecordBuilder

    java.lang.Object
      com.servingxml.util.record.FixedLayoutRecordBuilder

    public class FixedLayoutRecordBuilder

extends java.lang.Object

A `FixedLayoutRecordBuilder` class builds a record having a fixed number of fields.

Constructor Summary
`FixedLayoutRecordBuilder(RecordType recordType)` Creates an empty record object.

Method Summary
`protected void` | `addValue(int index, java.lang.String value)` Adds a value for a field at an index.
`void` | `appendValue(Name name, java.lang.String value)`
`void` | `clear()`
`int` | `count()` Gets the number of record
`protected int` | `getFieldIndex(Name name)`
`FieldType[]` | `getFieldTypes()`
`Record` | `toRecord()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedLayoutRecordBuilder

    public FixedLayoutRecordBuilder(RecordType recordType)

  Creates an empty record object.

Method Detail

### addValue

    protected void addValue(int index,
                            java.lang.String value)

  Adds a value for a field at an index.

  Parameters:
    `index` - The index
    `value` - The value.

### appendValue

    public void appendValue(Name name,
                            java.lang.String value)

### count

    public int count()

  Gets the number of record

  Returns:
    The number of record

### getFieldTypes

    public FieldType[] getFieldTypes()

### toRecord

    public Record toRecord()

### getFieldIndex

    protected int getFieldIndex(Name name)

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD